PMLOGPUSH(1)

NAME
pmlogpush - push an archive to a remote pmproxy server

SYNOPSIS
pmlogpush [-vV?] [-D debug] [-h host] [-p port] [-s unix] [-Z timezone] archive

DESCRIPTION
pmlogpush sends the contents of a Performance Co-Pilot (PCP) archive to a HTTP server (typically to a remote pmproxy(1) daemon) using the logger API subset within the PMWEBAPI(5). The archive must have been previously created using pmlogger(1).

This archive should be complete and finished (not actively being written to). Comparable functionality is available directly from pmlogger using the -R option, for pushing archives remotely while they are actively being written.

OPTIONS
The available command line options are:

-h hostname, --host=hostname
    The hostname for the remote pmproxy server to receive the given PCP archive.

-p port, --port=port
    Internet socket port number where the remote pmproxy server is listening, waiting to receive the given PCP archive. The default port is 44322.

-s path, --unix=path
    Unix domain socket path where a local pmproxy server is listening (locally), waiting to receive the given PCP archive.

-v, --verbose
    Increase the diagnostic information reported as pmlogpush runs.

-?, --help
    Display usage message and exit.

-V, --version
    Display version number and exit.

FILES

$PCP_LOG_DIR/pmproxy/<hostname>
    Default directory for pushed PCP archives created (remotely) by the receving pmproxy server. The hostname is extracted from the given archive, as is the recording start time - together these properties are used to name the pushed archive on the receiving end (i.e. by the pmproxy server).

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

DEBUGGING OPTIONS
The -D or --debug option enables the output of additional diagnostics on stderr to help triage problems, although the information is sometimes cryptic and primarily intended to provide guidance for developers rather end-users. debug is a comma separated list of debugging options; use pmdbg(1) with the -l option to obtain a list of the available debugging options and their meaning. The http debugging option is of particular interest for this utility.

SEE ALSO
PCPIntro(1), pmlogger(1), pmproxy(1), PMWEBAPI(3), pcp.conf(5) and pcp.env(5).